#include <time.h>
#include <stdlib.h>
#include <iostream>
using namespace std;

void main ()
{
	int size;
	int reps;
	const int MAXSIZE = 1000000;

	clock_t start, finish;

	cout << "How big should the array be?";
	cin >> size;
	if (size > MAXSIZE)
	{
		cerr << "Too big!";
		return;
	}
	else if (size <= 0)
	{
		cerr << "Too small!";
		return;
	}

	cout << "How many times should we fill the array?";
	cin >> reps;
	if (reps <= 0 || reps > 1000000)
	{
		cerr << "Bad number of reps!";
		return;
	}


	int *array = new int[size];
	double totaltime = 0;

	for (int repcounter = 0; repcounter < reps; ++repcounter)
	{
		cout << "Repetition " << repcounter+1 << "..." << endl;

		start = clock ();
		for (int counter = 0; counter < size; ++ counter)
			array[counter] = rand();
		finish = clock ();
		double elapsed = finish - start;
		totaltime += elapsed;
	}

	double avgtime = totaltime / reps;
	cout << "Filling an array of size " << size <<
		" took " << (avgtime/CLOCKS_PER_SEC) << " seconds." << endl;
	cout << "By the way, CLOCKS_PER_SEC is " << CLOCKS_PER_SEC << "." << endl;
}